Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1513216

Summary: scons-3.0.1 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: sconsAssignee: Mosaab Alzoubi <moceap>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: anto.trande, gemi, jochen, mail, moceap, mskalick, sergey.avseyev
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: scons-3.0.1-1.fc27 scons-3.0.1-1.fc26 scons-3.0.1-1.el7 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 11:19:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
[patch] Update to 3.0.1 (#1513216) none

Description Upstream Release Monitoring 2017-11-15 00:28:10 UTC
Latest upstream release: 3.0.1
Current version/release in rawhide: 3.0.0-1.fc28
URL: http://www.scons.org/download.php

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4770/

Comment 1 Upstream Release Monitoring 2017-11-15 00:28:18 UTC
Created attachment 1352228 [details]
[patch] Update to 3.0.1 (#1513216)

Comment 2 Upstream Release Monitoring 2017-11-15 00:30:03 UTC
hotness's scratch build of scons-3.0.1-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=23129548

Comment 3 Fedora Update System 2017-11-29 22:01:16 UTC
scons-3.0.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3fb48a7233

Comment 4 Fedora Update System 2017-11-29 22:01:29 UTC
scons-3.0.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-85fac65895

Comment 5 Fedora Update System 2017-11-29 22:01:36 UTC
scons-3.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5bedbed93b

Comment 6 Fedora Update System 2017-12-02 19:53:19 UTC
scons-3.0.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-85fac65895

Comment 7 Fedora Update System 2017-12-02 21:47:45 UTC
scons-3.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5bedbed93b

Comment 8 Fedora Update System 2017-12-02 22:38:56 UTC
scons-3.0.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3fb48a7233

Comment 9 Sergey Avseyev 2017-12-05 12:37:32 UTC
So now all scons-based packages have to port their build scripts to Python 3, right?

Comment 10 Fedora Update System 2017-12-12 11:19:09 UTC
scons-3.0.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-12-12 13:42:23 UTC
scons-3.0.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-12-27 23:58:33 UTC
scons-3.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.